Package org.jfree.layouting.input.style.parser.stylehandler.jfreereport

## Class XAndYReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler
  - - org.jfree.layouting.input.style.parser.stylehandler.jfreereport.XAndYReadHandler

- All Implemented Interfaces:
    `CSSValueReadHandler`

      public class XAndYReadHandler
      extends AbstractWidthReadHandler

  Creation-Date: 27.11.2005, 21:33:25
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XAndYReadHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CSSValue` | `parseWidth​(org.w3c.css.sac.LexicalUnit value)` |

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

      `createValue, isAllowAuto, isAllowPercentages`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XAndYReadHandler

          public XAndYReadHandler​()

  - ### Method Detail

    - #### parseWidth

          protected CSSValue parseWidth​(org.w3c.css.sac.LexicalUnit value)

      Overrides:
        `parseWidth` in class `AbstractWidthReadHandler`